Name:           mediawiki119-intersection
Version:        37906
Release:        2%{?dist}
Summary:        Create a list of pages that are listed in a set of categories

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:DynamicPageList_(Wikimedia)
Source0:        http://upload.wikimedia.org/ext-dist/intersection-MW1.13-37906.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

Requires:       mediawiki119

%description
Outputs a bulleted list of most recent items
residing in a category, or an intersection
of several categories.
DynamicPageList is another name for this extension.

%prep
%setup -q -n intersection

%post
echo 'To complete installation of %{name}, add the following lines to LocalSettings.php:

    require_once("$IP/extensions/intersection/DynamicPageList.php");

for each MediaWiki instance you wish to install %{name} on.' > README.fedora

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/mediawiki119/extensions/intersection/
install -cpm 644 %{_builddir}/%{buildsubdir}/* %{buildroot}%{_datadir}/mediawiki119/extensions/intersection/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki119/extensions/intersection

%changelog
* Wed Sep 05 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 37906-2
- Added group tag for el5

* Sat Aug 25 2012 Patrick Uiterwijk <puiterwijk@gmail.com> - 37906-1
- First packaging effort
